stcmbackend.cpg = {
	sharedEvents(self, modal) {
		// Volver a Listas de CPG
		$('#back').off().on('click', function() {
			window.location.href = '#!cpg';
		});

		// País
		let countryModal = new TableCountries(0, modal);
		$('#searchCountry').off().on('click', function() {
			countryModal.setEvents();
		});

		// Logo principal
		$('#logoPrimIMGdiv').on('click', function() {
			$('#logoPrimario').trigger('click');
		});
		$('#logoPrimario').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoPrimario = info.file;
			$('#logoPrimIMG').attr('src', info.src);
		});

		// Logo secundario
		$('#logoSecIMGdiv').on('click', function() {
			$('#logoSecundario').trigger('click');
		});
		$('#logoSecundario').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoSecundario = info.file;
			$('#logoSecIMG').attr('src', info.src);
		});

		// Favicon
		$('#faviconIMGdiv').on('click', function() {
			$('#faviconInput').trigger('click');
		});
		$('#faviconInput').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.favicon = info.file;
			$('#faviconIMG').attr('src', info.src);
		});

		// Logo wallet
		$('#logoWalletIMGdiv').on('click', function() {
			$('#logoWallet').trigger('click');
		});
		$('#logoWallet').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoWallet = info.file;
			$('#logoWalletIMG').attr('src', info.src);
		});

		// Logo bienvenida
		$('#logoWellcomeIMGdiv').on('click', function() {
			$('#logoWellcome').trigger('click');
		});
		$('#logoWellcome').change(function(evt) {
			let info = pf.utils.getFileSrc(evt);
			self.logoWellcome = info.file;
			$('#logoWellcomeIMG').attr('src', info.src);
		});

		// Restricciones de carácteres por tecla
		$('.ovSpecChars').off().on('keypress', function(e) {
			// Parámetros: tecla, warningTitle, warningContent y pattern si no es el general
			let result = characterRestrictionsPerKey(e.keyCode, pf.const.language.RSC375, pf.const.language.RSC1762);

			return result;
		});

		// Restricciones de carácteres por pegado
		$('.ovSpecChars').on('paste', function() {
			// Parámetros: elemento, warningTitle, warningContent y pattern si no es el general
			characterRestrictionsPerPaste($(this), pf.const.language.RSC375, pf.const.language.RSC1762);
		});
	}
};